PHP 7.2.0 Beta 1 Released

Introduction

Avertissement

Cette extension est obsolète depuis PHP 7.1.0 est déplacée dans PECL depuis PHP 7.2.0.

Ces fonctions permettent d'accéder à la bibliothèque mcrypt, qui dispose d'une grande variété d'algorithmes de chiffrement, tels DES, TripleDES, Blowfish (par défaut), 3-WAY, SAFER-SK64, SAFER-SK128, TWOFISH, TEA, RC2 et GOST en modes CBC, OFB, CFB et ECB. De plus, elles acceptent aussi RC6 et IDEA qui sont considérés comme "non-libres". CFB/OFB est sur 8bit par défaut.

add a note add a note

User Contributed Notes 3 notes

up
29
remi at php dot net
2 years ago
This extension rely in libmcrypt which is dead, unmaintained since 2007.

Please don't rely on it, consider switching to well maintained alternatives (openssl, crypt, password hashing functions, phpseclib, password_compat...)
up
0
info at neutrosolutions dot com
2 months ago
On AWS Amazon Linux if you are using php 7.0.X version
then please use this command to install mcrypt library.

[ec2-user@12.123.123.123 ~] sudo yum install php70-mcrypt
up
-13
c dot light93 at gmail dot com
2 years ago
if you get a "The mcrypt extension is missing" alert somewhere, use
"sudo php5enmod mcrypt" and restart your server to enable it.
To Top